Integrate API
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
  1. Orders
  • Default module
    • Get started
    • Pagination and Offset
    • Company
      • Get company information
      • Delete company webhook
      • Get company package
      • Send a merge request to another company
    • Office
      • List all offices
      • Add new office
    • Users
      • List all users
      • Add new user
      • Get user by email
      • Update user details
      • Change user password
      • Send password reset link
      • Delete user
    • Orders
      • List orders
        GET
      • Upgrade order
        POST
      • Re-deliver order with styling options
        POST
      • Get order by ID
        GET
      • Get combined PDF document
        GET
      • Create a redraw order
        POST
    • Change Request
      • Add new change request for an order
      • List all change requests of order
      • Get change request by ID
    • Draft Orders
      • Create a draft order
      • Update a draft order
      • Delete a draft order
    • GoToScan Orders
      • Create a GoToScan order
    • Webhooks
      • About webhooks
      • Update company webhooks
      • /Order status
  • Webhooks calls
    • /Order status
  1. Orders

Create a redraw order

Prod Env
https://app.cubi.casa/api/integrate/v3
Prod Env
https://app.cubi.casa/api/integrate/v3
POST
/orders/redraw
Required parameters: street,city,country,source,order_type
source needs to be a list of links to publicly available image files (JPG, PNG, PDF supported) or Showcase link(s). order_type can have values Tier1 or Tier2-redraw.
Order typesourceExplanation
Tier1List of public PNG, JPG, PDF filesRedraw order from original blue print.
Tier2-redrawLink to Showcase. Measurement tool enabled if dimensions are required in CubiCasa floor plan.Redraw order from 360 tour provider. Confirm from CubiCasa customer service if your 360/showcase provider is supported.

Request

Authorization
or
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Order created successfully
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://app.cubi.casa/api/integrate/v3/orders/redraw' \
--header 'Content-Type: application/json' \
--data-raw '{
    "street": "string",
    "suite": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "postalCode": "string",
    "info": "string",
    "source": [
        "http://example.com"
    ],
    "order_type": "Tier1",
    "external_id": "string",
    "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc"
}'
Response Response Example
{
    "id": "2227eef9-4754-4280-8423-e95938ff3e9c",
    "message": "Redraw order created successfully !"
}
Modified at 2025-08-11 11:34:35
Previous
Get combined PDF document
Next
Add new change request for an order
Built with